Skip to content

Get the list of subjects authorized by the data policy

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get the list of subjects authorized by the data policy, and find the list of authorized subjects by authorization subject type, data policy ID and data resource ID.

Method name

ManagementClient.listDataPolicyTargets

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
policyIdstringyes-Data policy ID60b49xxxxxxxxxxxxxxx6e68
pagenumberno1Current page number, starting from 11
limitnumberno10Number per page, maximum cannot exceed 50, default is 1010
querystringno-Subject nameExample 1
targetTypestring[]No-Subject type, including USER, GROUP, ROLE, and ORG[0]

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.listDataPolicyTargets({
    policyId: "60b49xxxxxxxxxxxxxxx6e68",
    page: 1,
    limit: 10,
    query: "Subject Name",
    targetType: ["USER"],
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request Response

Type: ListDataPolicySubjectPaginatedRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a ListDataPolicySubjectPageDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "totalCount": 20,
    "list": {
      "targetIdentifier": "6301cexxxxxxxxxxxxxxxxx78",
      "targetName": "test",
      "authorizationTime": "2022-07-03T03:20:30.000Z"
    }
  }
}

Data structure

ListDataPolicySubjectPageDto

NameTypeIs it requiredDescriptionSample value
totalCountnumberNoTotal number of records20
listarrayYesResponse data Nested type: <a DataSubjectRespDto。

DataSubjectRespDto

NameTypeIs it required?DescriptionSample value
targetIdentifierstringYesSubject ID, including user ID, user group ID, role ID, organization ID6301cexxxxxxxxxxxxxxxxx78
targetTypestringYesSubject type, including USER, GROUP, ROLE, ORGUSER
targetNamestringYesSubject name, including user name, user group name, role name, organization nametest
authorizationTimestringyesSubject object authorization time2022-07-03T03:20:30.000Z

Agent infrastructure for identity, memory, and web action.